> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Rtbf Request

> Reject a RTBF request and advance its state to 'rejected'.

Only requests in 'received', 'verifying', or 'on_hold' state may be rejected.



## OpenAPI

````yaml /openapi.json post /v1/governance/rtbf/requests/{request_id}/reject
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/governance/rtbf/requests/{request_id}/reject:
    post:
      tags:
        - gdpr
      summary: Reject Rtbf Request
      description: >-
        Reject a RTBF request and advance its state to 'rejected'.


        Only requests in 'received', 'verifying', or 'on_hold' state may be
        rejected.
      operationId: reject_rtbf_request_v1_governance_rtbf_requests__request_id__reject_post
      parameters:
        - in: path
          name: request_id
          required: true
          schema:
            title: Request Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RtbfRejectBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Reject Rtbf Request V1 Governance Rtbf Requests 
                  Request Id  Reject Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RtbfRejectBody:
      properties:
        reason:
          title: Reason
          type: string
      required:
        - reason
      title: RtbfRejectBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````